Bug 226709 - ports-mgmt/portlint: Bogus warning WARN: Makefile: sh is already included in SHEBANG_LANG.
Summary: ports-mgmt/portlint: Bogus warning WARN: Makefile: sh is already included in ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Joe Marcus Clarke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-18 20:07 UTC by Yuri Victorovich
Modified: 2018-05-11 21:35 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (marcus)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2018-03-18 20:07:12 UTC
Mk/Uses/shebangfix.mk doesn't add 'sh' to SHEBANG_LANG.

Testcase: sysutils/DTraceToolkit 

After removing this line, SHEBANG_LANG doesn't contain "sh":
> $ make -V SHEBANG_LANG
> bash java ksh perl php python ruby tcl tk

And stage-qa breaks.
Comment 1 Joe Marcus Clarke freebsd_committer 2018-04-14 17:31:45 UTC
Yeah, this was not a great check.  I've improved it in my repo pending the next release.
Comment 2 commit-hook freebsd_committer 2018-05-11 21:34:28 UTC
A commit references this bug:

Author: marcus
Date: Fri May 11 21:33:56 UTC 2018
New revision: 469697
URL: https://svnweb.freebsd.org/changeset/ports/469697

Log:
  Update to 2.18.0.  Enough has happened that it's time for a minor bump.

  * Fix the check for duplicate SHEBANG_LANG values [1]
  * Check to make sure patch files end with newlines [2]
  * Allow flavored *_DEPENDS in the DEPENDS section [3]
  * Check that kde:4 OR kde:5 is defined with USE_KDE [4]
  * Add a check to make sure pkg-descr is at least a certain number of lines [5]
  * Fix a couple of typos [6] [7]
  * Allow for any *_DEPENDS item in the DEPENDS section and fix a bug in the
    dependency syntax checking [8]
  * Add a check to make sure Python dependencies include a FLAVOR [9]

  PR:		226709 [1]
  		226109 [2]
  		226581 [3]
  		227255 [5]
  		227729 [6]
  		227878 [7]
  		227556 [8]
  		225654 [9]
  Submitted by:	tcberner [4]
  		0mp [5][6][7]
  Differential Revision:	D13723 [4]

Changes:
  head/ports-mgmt/portlint/Makefile
  head/ports-mgmt/portlint/pkg-descr
  head/ports-mgmt/portlint/src/portlint.pl
Comment 3 Joe Marcus Clarke freebsd_committer 2018-05-11 21:35:36 UTC
Fixed in 2.18.0.